import {
  __esm,
  __objRest,
  __spreadValues
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/receivers/index.ts
function createReceiversResource(instanceId, client) {
  return {
    list(params) {
      const queryParams = params ? `?${new URLSearchParams(params)}` : "";
      return client.get(`/instances/${instanceId}/receivers${queryParams}`);
    },
    createIndividualWithStandardKYC(data) {
      return client.post(`/instances/${instanceId}/receivers`, __spreadValues({
        kyc_type: "standard",
        type: "individual"
      }, data));
    },
    createIndividualWithEnhancedKYC(data) {
      return client.post(`/instances/${instanceId}/receivers`, __spreadValues({
        kyc_type: "enhanced",
        type: "individual"
      }, data));
    },
    createBusinessWithStandardKYB(data) {
      return client.post(`/instances/${instanceId}/receivers`, __spreadValues({
        kyc_type: "standard",
        type: "business"
      }, data));
    },
    get(receiver_id) {
      return client.get(`/instances/${instanceId}/receivers/${receiver_id}`);
    },
    update(_a) {
      var _b = _a, { receiver_id } = _b, data = __objRest(_b, ["receiver_id"]);
      return client.put(`/instances/${instanceId}/receivers/${receiver_id}`, data);
    },
    delete(receiver_id) {
      return client.delete(`/instances/${instanceId}/receivers/${receiver_id}`);
    },
    getLimits(receiver_id) {
      return client.get(`/instances/${instanceId}/limits/receivers/${receiver_id}`);
    },
    getLimitIncreaseRequests(receiver_id) {
      return client.get(`/instances/${instanceId}/receivers/${receiver_id}/limit-increase`);
    },
    requestLimitIncrease(_c) {
      var _d = _c, {
        receiver_id
      } = _d, data = __objRest(_d, [
        "receiver_id"
      ]);
      return client.post(
        `/instances/${instanceId}/receivers/${receiver_id}/limit-increase`,
        data
      );
    }
  };
}
var init_receivers = __esm({
  "src/resources/receivers/index.ts"() {
  }
});

export {
  createReceiversResource,
  init_receivers
};
